<?php
/**
 * Plugin plxMyHalloween
 *
 * @version	1
 * @date	26/10/2021
 * @author	Stéphane Tortelier-Gambiraso alias Petit Pouyo (www.petitpouyo.fr)
 **/
class plxMyHalloween extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Petit Pouyo
	 **/
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# déclaration des hooks
        $this->addHook('ThemeEndHead', 'ThemeEndHead');
    }

	/**
	 * Méthode qui charge le javascript dans la partie <head> du site
	 *
	 * @return	stdio
 * @author	Stéphane Tortelier-Gambiraso alias Petit Pouyo (www.petitpouyo.fr)
	 **/
    public function ThemeEndHead() {
		echo "\t".'<script type="text/javascript" src="'.PLX_PLUGINS.'plxMyHalloween/halloween_pluxml.js"></script>'."\n";
	}
}
?>