/**
 * Plugin plxMyHalloween
 *
 * @version	1
 * @date	26/10/2021
 * @author	Stéphane Tortelier-Gambiraso alias Petit Pouyo (www.petitpouyo.fr)
 **/
 
// N´OUBLIEZ PAS: De changez le chemin vers  votre image
halloween_img = "/plugins/plxMyHalloween/spider.png";
 
// BONUS: Vous pouvez facilement regler le nombre de d'araignée que vous voulez sur chaque page...
halloween_no = 15;
 
if (typeof(window.pageYOffset) == "number")
{
   halloween_browser_width = window.innerWidth;
   halloween_browser_height = window.innerHeight;
}
else if (document.body && (document.body.scrollLeft || document.body.scrollTop))
{
   halloween_browser_width = document.body.offsetWidth;
   halloween_browser_height = document.body.offsetHeight;
}
else if (document.documentElement && (document.documentElement.scrollLeft || document.documentElement.scrollTop))
{
   halloween_browser_width = document.documentElement.offsetWidth;
   halloween_browser_height = document.documentElement.offsetHeight;
}
else
{
   halloween_browser_width = 500;
   halloween_browser_height = 500;   
}
 
halloween_dx = [];
halloween_xp = [];
halloween_yp = [];
halloween_am = [];
halloween_stx = [];
halloween_sty = [];
 
for (i = 0; i < halloween_no; i++)
{
   halloween_dx[i] = 0;
   halloween_xp[i] = Math.random()*(halloween_browser_width-50);
   halloween_yp[i] = Math.random()*halloween_browser_height;
   halloween_am[i] = Math.random()*20;
   halloween_stx[i] = 0.02 + Math.random()/10;
   halloween_sty[i] = 0.7 + Math.random();
   if (i > 0) document.write("<\div id=\"halloween_flake"+ i +"\" style=\"position:absolute;z-index:"+i+"\"><\img src=\""+halloween_img+"\" border=\"0\"><\/div>"); else document.write("<\div id=\"halloween_flake0\" style=\"position:absolute;z-index:0\"><a href=\"https://petitpouyo.fr\" target=\"_blank\"><\img src=\""+halloween_img+"\" border=\"0\"></a><\/div>");
}
 
function halloweenStart()
{
   for (i = 0; i < halloween_no; i++)
   {
      halloween_yp[i] += halloween_sty[i];
      if (halloween_yp[i] > halloween_browser_height-50)
      {
         halloween_xp[i] = Math.random()*(halloween_browser_width-halloween_am[i]-30);
         halloween_yp[i] = 0;
         halloween_stx[i] = 0.02 + Math.random()/10;
         halloween_sty[i] = 0.7 + Math.random();
      }
      halloween_dx[i] += halloween_stx[i];
      document.getElementById("halloween_flake"+i).style.top=halloween_yp[i]+"px";
      document.getElementById("halloween_flake"+i).style.left=halloween_xp[i] + halloween_am[i]*Math.sin(halloween_dx[i])+"px";
   }
   halloween_time = setTimeout("halloweenStart()", 10);
}
halloweenStart();